Package org.apache.any23.vocab

## Class HListing

- java.lang.Object
- - org.apache.any23.vocab.Vocabulary
  - - org.apache.any23.vocab.HListing

-     public class HListing
      extends Vocabulary

  Class modeling the hListing vocabulary.
  Author:
    Davide Palmisano (dpalmisano@gmail.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.eclipse.rdf4j.model.IRI` | `action` |
    `org.eclipse.rdf4j.model.IRI` | `announce` |
    `org.eclipse.rdf4j.model.IRI` | `countryName` |
    `org.eclipse.rdf4j.model.IRI` | `description` |
    `org.eclipse.rdf4j.model.IRI` | `dtexpired` |
    `org.eclipse.rdf4j.model.IRI` | `dtlisted` |
    `org.eclipse.rdf4j.model.IRI` | `event` |
    `org.eclipse.rdf4j.model.IRI` | `extendedAddress` |
    `org.eclipse.rdf4j.model.IRI` | `item` |
    `org.eclipse.rdf4j.model.IRI` | `Item` |
    `org.eclipse.rdf4j.model.IRI` | `itemName` |
    `org.eclipse.rdf4j.model.IRI` | `itemPhoto` |
    `org.eclipse.rdf4j.model.IRI` | `itemUrl` |
    `org.eclipse.rdf4j.model.IRI` | `lister` |
    `org.eclipse.rdf4j.model.IRI` | `Lister` |
    `org.eclipse.rdf4j.model.IRI` | `listerLogo` |
    `org.eclipse.rdf4j.model.IRI` | `listerName` |
    `org.eclipse.rdf4j.model.IRI` | `listerOrg` |
    `org.eclipse.rdf4j.model.IRI` | `listerUrl` |
    `org.eclipse.rdf4j.model.IRI` | `Listing` |
    `org.eclipse.rdf4j.model.IRI` | `locality` |
    `org.eclipse.rdf4j.model.IRI` | `meet` |
    `static String` | `NS` |
    `org.eclipse.rdf4j.model.IRI` | `offer` |
    `org.eclipse.rdf4j.model.IRI` | `permalink` |
    `org.eclipse.rdf4j.model.IRI` | `postalCode` |
    `org.eclipse.rdf4j.model.IRI` | `postOfficeBox` |
    `org.eclipse.rdf4j.model.IRI` | `price` |
    `org.eclipse.rdf4j.model.IRI` | `region` |
    `org.eclipse.rdf4j.model.IRI` | `rent` |
    `org.eclipse.rdf4j.model.IRI` | `sell` |
    `org.eclipse.rdf4j.model.IRI` | `service` |
    `org.eclipse.rdf4j.model.IRI` | `streetAddress` |
    `org.eclipse.rdf4j.model.IRI` | `summary` |
    `org.eclipse.rdf4j.model.IRI` | `tel` |
    `org.eclipse.rdf4j.model.IRI` | `trade` |
    `org.eclipse.rdf4j.model.IRI` | `wanted` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static HListing` | `getInstance()` |

    - ### Methods inherited from class org.apache.any23.vocab.Vocabulary

      `createClass, createIRI, createProperty, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS

          public static final String NS

      See Also:
        Constant Field Values

    - #### Listing

          public final org.eclipse.rdf4j.model.IRI Listing

    - #### Lister

          public final org.eclipse.rdf4j.model.IRI Lister

    - #### Item

          public final org.eclipse.rdf4j.model.IRI Item

    - #### action

          public final org.eclipse.rdf4j.model.IRI action

    - #### lister

          public final org.eclipse.rdf4j.model.IRI lister

    - #### item

          public final org.eclipse.rdf4j.model.IRI item

    - #### sell

          public final org.eclipse.rdf4j.model.IRI sell

    - #### rent

          public final org.eclipse.rdf4j.model.IRI rent

    - #### trade

          public final org.eclipse.rdf4j.model.IRI trade

    - #### meet

          public final org.eclipse.rdf4j.model.IRI meet

    - #### announce

          public final org.eclipse.rdf4j.model.IRI announce

    - #### offer

          public final org.eclipse.rdf4j.model.IRI offer

    - #### wanted

          public final org.eclipse.rdf4j.model.IRI wanted

    - #### event

          public final org.eclipse.rdf4j.model.IRI event

    - #### service

          public final org.eclipse.rdf4j.model.IRI service

    - #### tel

          public final org.eclipse.rdf4j.model.IRI tel

    - #### dtlisted

          public final org.eclipse.rdf4j.model.IRI dtlisted

    - #### dtexpired

          public final org.eclipse.rdf4j.model.IRI dtexpired

    - #### price

          public final org.eclipse.rdf4j.model.IRI price

    - #### description

          public final org.eclipse.rdf4j.model.IRI description

    - #### summary

          public final org.eclipse.rdf4j.model.IRI summary

    - #### permalink

          public final org.eclipse.rdf4j.model.IRI permalink

    - #### region

          public final org.eclipse.rdf4j.model.IRI region

    - #### postOfficeBox

          public final org.eclipse.rdf4j.model.IRI postOfficeBox

    - #### locality

          public final org.eclipse.rdf4j.model.IRI locality

    - #### extendedAddress

          public final org.eclipse.rdf4j.model.IRI extendedAddress

    - #### streetAddress

          public final org.eclipse.rdf4j.model.IRI streetAddress

    - #### postalCode

          public final org.eclipse.rdf4j.model.IRI postalCode

    - #### countryName

          public final org.eclipse.rdf4j.model.IRI countryName

    - #### listerUrl

          public final org.eclipse.rdf4j.model.IRI listerUrl

    - #### listerName

          public final org.eclipse.rdf4j.model.IRI listerName

    - #### itemName

          public final org.eclipse.rdf4j.model.IRI itemName

    - #### itemUrl

          public final org.eclipse.rdf4j.model.IRI itemUrl

    - #### itemPhoto

          public final org.eclipse.rdf4j.model.IRI itemPhoto

    - #### listerOrg

          public final org.eclipse.rdf4j.model.IRI listerOrg

    - #### listerLogo

          public final org.eclipse.rdf4j.model.IRI listerLogo

  - ### Method Detail

    - #### getInstance

          public static HListing getInstance()